Neo gallery 1.1

Does Neo gallery work with WordPress 5.8.2 and PHP 7.4.8? A smoke test was performed on .

Summary

Errors
31PHP deprecation warnings
1Database errors
No JavaScript exceptions
All test pages loaded successfully
No resource errors
Performance

Memory usage: 1021.09 bytes
The average PHP memory usage increased by this amount after activating by the plugin.

Page speed impact: insignificant.
The plugin didn't make the site noticeably slower.

Environment
WordPress version5.8.2
PHP version7.4.8
MySQL version8.0.21
PHP memory limit256M
Plugin Info
Last updated
Active installs <10
WordPress.org page https://wordpress.org/plugins/neo-gallery/
Badges

WordPress compatibility badge PHP compatibility badge

Get badge code

Pages 3

Plugins ‹ Test site — WordPress

Page screenshot: Plugins ‹ Test site — WordPress
URL /wp-admin/plugins.php?plugin_status=all&paged=1&s
Requested URL /wp-admin/plugins.php?action=activate&plugin=neo-gallery%2Fneo_gallery.php&plugin_status=all&paged=1&s&_wpnonce=69ba4aacf9
Aspect after-activation
HTTP status 200
Load time 0.383 s
Memory usage 3.04 MiB
JS errors None
Resource errors None

Settings → Neo gallery

Page screenshot: Settings → Neo gallery
URL /wp-admin/options-general.php?page=neo_gallery.php
Aspect menu-item
HTTP status 200
Load time 0.178 s
Memory usage 3.01 MiB
JS errors None
Resource errors None

Test site – Just another WordPress site

Page screenshot: Test site – Just another WordPress site
URL /
Aspect front-page
HTTP status 200
Load time 0.219 s
Memory usage 2.91 MiB
JS errors None
Resource errors None

Benchmark

URL Load time Memory usage
Inactive Active Change Inactive Active Change
/wp-admin/index.php0.343 s0.293 s-0.050 s3.08 MiB3.09 MiB+ 6.74 KiB
/wp-admin/edit.php0.185 s0.205 s+0.020 s3.11 MiB3.12 MiB+ 6.74 KiB
/wp-admin/post-new.php0.963 s1.145 s+0.182 s5.27 MiB5.28 MiB+ 11.1 KiB
/wp-admin/upload.php0.422 s0.342 s-0.080 s3.03 MiB3.03 MiB+ 6.21 KiB
/wp-admin/options-writing.php0.314 s0.139 s-0.175 s3.02 MiB3.01 MiB- 9.81 KiB
/wp-admin/media-new.php0.348 s0.195 s-0.153 s3.01 MiB3.01 MiB+ 6.38 KiB
/wp-admin/edit-tags.php?taxonomy=category0.189 s0.198 s+0.009 s3.04 MiB3.04 MiB+ 7.29 KiB
/wp-admin/post-new.php?post_type=page0.939 s1.049 s+0.110 s5.26 MiB5.26 MiB+ 6.69 KiB
/wp-admin/options-discussion.php0.248 s0.261 s+0.013 s3 MiB3.01 MiB+ 6.7 KiB
/wp-admin/edit-comments.php0.258 s0.214 s-0.044 s3.04 MiB3.05 MiB+ 5.59 KiB
/0.276 s0.218 s-0.058 s2.96 MiB2.91 MiB- 42.66 KiB
Average 0.408 s0.387 s-0.021 s3.44 MiB3.44 MiB+ 1021.09 bytes

Code Statistics

Note: Third-party libraries and minified JS/CSS files are excluded from these statistics where possible, so the numbers you see here may be lower than those reported by other tools.

JavaScript
PHP
Language % Lines of code Comment lines Files
JavaScript69.2%579582
PHP23.4%196121
HTML7.4%6202
Total 837 70 5

PHP Code Analysis | More results »

Lines of code 197
Total complexity 30
Median class complexity 0.0
Median method complexity 0.0
Most complex class
Most complex function neo_gallery_render()
Classes 0
Methods 0
Functions 7

Additions

Things that the plugin adds to the site. This section is not intended to be comprehensive. The test tool only looks for a few specific types of added content.

No new entries found.

PHP Error Log 32 lines

[25-Nov-2021 12:23:15 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:15 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:15 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:15 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:16 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:16 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:16 UTC] WordPress database error Table 'wordpress.wp_neo_gallery' doesn't exist for query SELECT * FROM wp_neo_gallery made by require_once('wp-admin/admin.php'), do_action('settings_page_neo_gallery'), WP_Hook->do_action, WP_Hook->apply_filters, neo_gallery_panel
[25-Nov-2021 12:23:16 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:16 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:17 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:17 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:17 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:17 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:19 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:19 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:20 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:20 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:20 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:20 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:20 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:20 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:20 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:20 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:22 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:22 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:22 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:22 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:23 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:23 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:23 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:23 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
[25-Nov-2021 12:23:23 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5495
See also: All tests for this plugin, How to Hide the "Neo gallery" Admin Menu